using System;

namespace ConsoleApplication4
{
    class Program
    {
        static string Ko_je_veci(char a, char b)
        {
            if (a > b)
            {
                return Convert.ToString(a);

            }
            else if (b > a)
            {
                return Convert.ToString(b);
            }
            else
            {
                return Convert.ToString(a) + Convert.ToString(b);
            }
        }
        static void Main(string[] args)
        {
            int X = int.Parse(Console.ReadLine());
            int Y = int.Parse(Console.ReadLine());
            string prvi_broj_u_stringu = Convert.ToString(X);
            string drugi_broj_u_stringu = Convert.ToString(Y);
            string s = Convert.ToString(Math.Max(X, Y)).Substring(0, Math.Max(prvi_broj_u_stringu.Length, drugi_broj_u_stringu.Length) - Math.Min(prvi_broj_u_stringu.Length, drugi_broj_u_stringu.Length));
            if (X > Y)
            {
                prvi_broj_u_stringu = prvi_broj_u_stringu.Substring(s.Length);
            }
            else
            {
                drugi_broj_u_stringu = drugi_broj_u_stringu.Substring(s.Length);
            }
            for (int i = 0; i < Math.Min(prvi_broj_u_stringu.Length, drugi_broj_u_stringu.Length); i++)
            {
                s = s + Ko_je_veci(prvi_broj_u_stringu[i], drugi_broj_u_stringu[i]);
            }
            long novonastali_broj = Convert.ToInt64(s);
            Console.WriteLine(novonastali_broj);
            Console.ReadLine();
        }
    }
}